--***********************************************************
--**                    ROBERT JOHNSON                     **
--***********************************************************

require "TimedActions/ISBaseTimedAction"

ISEmptyDrum = ISBaseTimedAction:derive("ISEmptyDrum");

function ISEmptyDrum:isValid()
	return true;
end

function ISEmptyDrum:update()
end

function ISEmptyDrum:start()
end

function ISEmptyDrum:stop()
	ISBaseTimedAction.stop(self);
end

function ISEmptyDrum:perform()
	ISBaseTimedAction.perform(self);
    self.metalDrum:setWaterAmount(0)
    self.metalDrum:transmitModData()
end

function ISEmptyDrum:new(metalDrum)
	local o = {}
	setmetatable(o, self)
	self.__index = self
	o.stopOnWalk = true;
	o.stopOnRun = true;
	o.maxTime = 70;
    o.metalDrum = metalDrum;
	return o;
end
